/*
** Module   : SslServerAttribute.java
** Abstract : An interface holding the SSL-SERVER attribute API.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --------------------------------Description-----------------------------------
** 001 CS  20130211 Created initial version.
*/

package com.goldencode.p2j.util;

/**
 * Interface for the handles which use the SSL-SERVER-NAME attribute.
 * <p>
 * Exposes the following attributes and methods:
 * <table>
 * <tr>
 *    <th>attribute or method</th>
 *    <th>API</th>
 * </tr>
 * <tr>
 *    <td>SSL-SERVER-NAME</td>
 *    <td>{@link #getSslServerName()}</td>
 * </tr>
 * </table>
 * This is to be used by SERVER and SOCKET handle implementations.
 */
public interface SslServerAttribute
{
   /**
    * Java implementation for getting the  SSL-SERVER-NAME  attribute  which contains the SSL 
    * server name if the connection is made as SSL.
    * 
    * @return   The SSL server name, if the connection is made as SSL or unknown
    *           otherwise
    */
   public character getSslServerName();
}
